%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:       google-drive-ocamlfuse
Version:    0.6.19
Release:    %mkrel 1
License:    BSD-2-Clause
Summary:    FUSE filesystem for Google Drive
Url:        http://gdfuse.forge.ocamlcore.org
Group:      Networking/Remote access
Source:     https://github.com/astrada/google-drive-ocamlfuse/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml >= 3.12.0
BuildRequires:  ocaml-findlib-devel >= 1.2.7
BuildRequires:  ocamlfuse >= 2.7.1
BuildRequires:  gapi-ocaml-devel >= 0.2.14
BuildRequires:  ocaml-sqlite-devel >= 1.6.1
BuildRequires:  ocaml-cryptokit-devel
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  ocaml-yojson-devel
BuildRequires:  ocaml-biniou-devel
BuildRequires:  ocaml-easy-format-devel
BuildRequires:  ocaml-curl-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  sqlite-devel
BuildRequires:  curl-devel
BuildRequires:  zlib-devel
BuildRequires:  fuse-devel

%description
google-drive-ocamlfuse is a FUSE-based file system backed by Google Drive,
written in OCaml. It lets you mount your Google Drive on Linux.

On the first time, just run google-drive-ocamlfuse, which will open a
browser for authentication. If that process succeeds, it will print
"Access token retrieved correctly.". Now run google-drive-ocamlfuse
with an empty directory supplied, which is the mount point for your Google
Drive. You can optionally unmount with fusermount -u mount-point.

Further documentation is available here:

  https://github.com/astrada/google-drive-ocamlfuse/wiki


%prep
%setup -q

%build
ocaml setup.ml -configure
ocaml setup.ml -build

%install
mkdir -p %{buildroot}%{_bindir}
cp gdfuse.native %{buildroot}%{_bindir}/%{name}

%files
%doc README.md doc/
%license LICENSE
%{_bindir}/%{name}


%changelog
* Wed May 03 2017 joequant <joequant> 0.6.19-1.mga6
+ Revision: 1098780
- upgrade to 0.6.19

* Wed Feb 01 2017 joequant <joequant> 0.6.16-1.mga6
+ Revision: 1084452
- upgrade to 0.6.16

* Sun Oct 23 2016 joequant <joequant> 0.5.24-1.mga6
+ Revision: 1063276
- imported package google-drive-ocamlfuse

